Polyrankdocs
ApiFollows

GET /v1/follows

The authenticated user's follows (traders + markets + events). Event items carry `event` (title, question counts, status). With alert settings on (ALERT_SETTINGS_ENABLED), trader and event items also carry `uses_default` and `alerts`, the follow's effective alert choice.

GET
/v1/follows

The authenticated user's follows (traders + markets + events). Event items carry event (title, question counts, status). With alert settings on (ALERT_SETTINGS_ENABLED), trader and event items also carry uses_default and alerts, the follow's effective alert choice.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/follows"
{  "follows": [    {      "target_type": "trader",      "target_id": "string",      "notify": true,      "created_at": "string",      "event": {        "slug": "string",        "title": "string",        "image_url": "string",        "questions": -9007199254740991,        "open_questions": -9007199254740991,        "status": "open"      },      "uses_default": true,      "alerts": {        "kinds": [          "trader_fill"        ],        "level": "quiet",        "custom": {          "min_trade_usd": -9007199254740991,          "price_move_points": -9007199254740991        }      }    }  ]}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}